Plesk 12 supports multiple PHP versions out of the box!

 

Plesk 12 since micro update 41 can install PHP 5.2 up to 5.6 via the built-in installer, this makes the scripts I made obsolete :)

Plesk 12 supports multiple PHP versions out of the box – is the best thing that happened till now !

If you are still running 11.5 Parallels (or Odin) also put up official guides telling you how to install php 5.6 which can be modified to install most versions.

 

PhpSettings

 

For Plesk 12 and Pleks 12.5:

Since Plesk 12.0.18 MU#41, you can install and use multiple PHP 5.x versions built by Plesk team via Plesk panel. For more details see KB article 125146: Multiple PHP Versions in Plesk 12 and higher Out of the Box

PHP packages for Plesk 12:

  • CentOS 6
  • CentOS 7
  • Ubuntu 12

PHP packages for Plesk 12.5:

  • CentOS 6
  • CentOS 7
  • RHEL 6
  • RHEL 7
  • Debian 7
  • Debian 8
  • Ubuntu 12
  • Ubuntu 14

PhpSettings1

Plesk KB : http://kb.odin.com/en/118378

 

In Release Notes for Plesk 12.5 for Linux Systems we can see new update and this new update brings good news :

PHP 7 support (as soon as it is released)

Support for Multiple PHP Versions

Plesk 12.5 comes with a long-requested feature – support for multiple versions of PHP out of the box. Plesk 12.5 ships with the following PHP versions:

  • 5.2
  • 5.3
  • 5.4
  • 5.5
  • 5.6
  • 7 (as soon as it is released)

All supported versions of PHP can be installed with the help of the Plesk Installer. Learn more.

Plesk KB : http://download1.parallels.com/Plesk/PP12/plesk-12.5-for-linux.html

 

Good luck